{% extends 'common/base.html' %}

{% block title %}
    Interests
{% endblock %}
{% block content %}
    <div class="container-fluid">
        <div class="row">
            <!-- Left side -->
            <div class="col-md-3">
                <!-- Profile card -->
                <div class="row">
                    <div class="col-12 margin_top_default margin_bottom_default">
                        {% include 'common/includes/own_profile_card.html' %}
                    </div>
                </div>
            </div>
            <!-- Center - main content -->
            <div class="col-md-6">
                <!-- Post's links -->
                <div class="card margin_top_default margin_bottom_default">
                    <div class="card-header"><h5 class="card-title">All interests of people</h5></div>
                    <div class="card-body">
                    <h6 class="card-subtitle mb-2 text-muted mb-3">Click on the interest button to take a look at the related posts</h6>
                        {% for interest in object_list %}
                            <a href="{{ interest.get_absolute_url }}" class="badge badge-success">{{ interest }}
                                <span class="badge badge-light">{{ interest.posts.count }}</span>
                            </a>
                        {% endfor %}
                    </div>
                </div>
            </div>
            <!-- Right side -->
            <div class="col-md-1">

            </div>
        </div>
    </div>
{% endblock %}